Invalid packages in Ora81.6. on NT
DBAsupport.com Forums - Powered by vBulletin
Results 1 to 2 of 2

Thread: Invalid packages in Ora81.6. on NT

  1. #1
    Join Date
    Feb 2000
    Posts
    175
    Hi,

    I've just (re)installed Oracle 8.1.6 EE for NT. In the newly created database I have a number of packages (3) and Package body (45) that are INVALID. I've tried to recompile these using DBA Studio and the 'alter package <packagename> compile ....' statement. but they are still INVALID. Does anybody know of a solution to this problem.

    Rgds

    Moff.

  2. #2
    Join Date
    Nov 2000
    Location
    greenwich.ct.us
    Posts
    9,095
    When you compile a package specification, it invalidates other packages that rely on it. Try compiling all the specifications. When you have all the package specs valid, you can then compile all the bodies...

    alter package xyz compile specification;
    alter package xyz compile body;

    Alternatively, you can use the dbms_utility.compile_schema() package, but it has been known to have bugs in 8.1.x versions.

    Alternatively to the alternative, you can use ?/rdbms/admin/utlrp.sql to recompile ALL your packages, but if other people are on the database it encounters DDL locks frequently.
    Jeff Hunter
    marist89@yahoo.com
    http://marist89.blogspot.com/
    Get Firefox!
    "I pledge to stop eating sharks fin soup and will not do so under any circumstances."

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  



Click Here to Expand Forum to Full Width